Creates a routing policy.
POST
/v1/m/models/routing-policies
const url = 'https://example.com/v1/m/models/routing-policies';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"access_tiers":["example"],"allow_deprecated":true,"deny_deprecated":true,"deny_retired":true,"enabled":true,"gateway_endpoint":"example","id":"example","min_context_window":1,"name":"example","pinned_model":"example","preferred_providers":["example"],"require_zdr":true,"required_capabilities":["example"],"strategy":"cost"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/models/routing-policies \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "access_tiers": [ "example" ], "allow_deprecated": true, "deny_deprecated": true, "deny_retired": true, "enabled": true, "gateway_endpoint": "example", "id": "example", "min_context_window": 1, "name": "example", "pinned_model": "example", "preferred_providers": [ "example" ], "require_zdr": true, "required_capabilities": [ "example" ], "strategy": "cost" }'Creates a routing policy.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
object
access_tiers
Array<string>
allow_deprecated
boolean
deny_deprecated
boolean
deny_retired
boolean
enabled
boolean
gateway_endpoint
string
id
string
min_context_window
integer format: int64
name
required
string
pinned_model
string
preferred_providers
Array<string>
require_zdr
boolean
required_capabilities
Array<string>
strategy
Unknown or empty values are normalized to cost by the handler.
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}